CREATE TABLE atc_entitlement_cond_groups (
    ENT_COND_GRP_ID          NUMBER(18, 0) ,
    ENT_COND_GRP_PUID        VARCHAR2(120)     NOT NULL,
    ENT_COND_GRP_NAME        VARCHAR2(800) ,
    ENT_COND_GRP_DESC        VARCHAR2(4000),
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    REL_TYPE_IN_GRP_CODE     VARCHAR2(400) ,
    ENT_BENEFIT_ID           NUMBER(18, 0)     NOT NULL,
    ENT_COND_ORDER           NUMBER(18, 0) ,
    ENT_COND_STATUS_CODE     VARCHAR2(800) ,
    CONDITION_TIMING_CODE    VARCHAR2(800) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENT_COND_GRP_ID          NUMBER(18, 0) ,
    ENT_COND_GRP_PUID        VARCHAR2(120)     NOT NULL,
    ENT_COND_GRP_NAME        VARCHAR2(800) ,
    ENT_COND_GRP_DESC        VARCHAR2(4000),
    AT_TYPE                  VARCHAR2(800) ,
    AT_BASE_TYPE             VARCHAR2(800) ,
    AT_SCHEMA_LOCATION       VARCHAR2(4000),
    REL_TYPE_IN_GRP_CODE     VARCHAR2(400) ,
    ENT_BENEFIT_ID           NUMBER(18, 0)     NOT NULL,
    ENT_COND_ORDER           NUMBER(18, 0) ,
    ENT_COND_STATUS_CODE     VARCHAR2(800) ,
    CONDITION_TIMING_CODE    VARCHAR2(800) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_atc_entitlement_cond_groups PRIMARY KEY (ENT_COND_GRP_ID, ENT_COND_GRP_ID)
);
